<script>
import {Link} from "@inertiajs/vue3";
import AdminMenu from "@/Layouts/Partials/Sidebars/AdminMenu.vue";
import SideLink from "@/Componentes/SideLink.vue";
import ExplorerMenu from "@/Layouts/Partials/Sidebars/ExplorerMenu.vue";

export default {
    name: "Sidebar",
    data() {
        return{
            user: this.$page.props?.auth?.user
        }
    },
    components: {ExplorerMenu, SideLink, AdminMenu, Link}
}
</script>

<template>
    <aside class="main-sidebar relative sidebar-light-info elevation-4">
        <!-- Brand Logo -->
        <Link :href="route('dashboard')" class="brand-link">
            <i class="fa fa-diamond me-2"></i>
            <span class="brand-text font-bold">OnVip</span>
        </Link>

        <!-- Sidebar -->
        <div class="sidebar">
            <!-- Sidebar user (optional) -->
            <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                <div class="image">
                    <img :src="'https://ui-avatars.com/api/?name=' + user?.name + '&color=FFFFFF&background=0e0e0e'" class="img-circle elevation-2" :alt="user?.name">
                </div>
                <div class="info">
                    <Link :href="route('profile.show')" class="d-block">{{ user?.name }}</Link>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2 mb-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                    <SideLink icon="fa fa-home" route-name="dashboard">Home</SideLink>
                    <ExplorerMenu v-if="$page.props?.categories?.length > 0" v-for="item in $page.props.categories" :category="item" />
                    <AdminMenu v-if="user?.role_id > 2" :role="user?.role?.name" />
                </ul>
            </nav>
            <!-- /.sidebar-menu -->
        </div>
        <!-- /.sidebar -->
    </aside>
</template>

<style scoped>

</style>
